Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.analysis.plugin
Class IPlugin.PluginInputPortReference

    java.lang.Object
      kieker.analysis.plugin.IPlugin.PluginInputPortReference

Enclosing interface:
  IPlugin

    public static final class IPlugin.PluginInputPortReference

extends Object

This simple class represents a container for the reference between a plugin, its input port and the corresponding method.

Since:
  1.5
Author:
  Nils Christian Ehmke

Constructor Summary
`IPlugin.PluginInputPortReference(IPlugin plugin, String inputPortName, Method inputPortMethod, Class<?>[] eventTypes)` Creates a new instance of this class using the given parameters.

Method Summary
`Class<?>[]` | `getEventTypes()` Getter for the attribute `eventTypes`.
`Method` | `getInputPortMethod()` Getter for the attribute `inputPortMethod`.
`String` | `getInputPortName()` Getter for the attribute `inputPortName`.
`IPlugin` | `getPlugin()` Getter for the attribute `plugin`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IPlugin.PluginInputPortReference

    public IPlugin.PluginInputPortReference(IPlugin plugin,
                                            String inputPortName,
                                            Method inputPortMethod,
                                            Class<?>[] eventTypes)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `plugin` - The plugin to store in this container.
    `inputPortName` - The name of the input port of the plugin.
    `inputPortMethod` - The corresponding method which is the input port.
    `eventTypes` - The event types of the port.

Method Detail

### getPlugin

    public final IPlugin getPlugin()

  Getter for the attribute `plugin`.

  Returns:
    The current value of the attribute.

### getInputPortMethod

    public final Method getInputPortMethod()

  Getter for the attribute `inputPortMethod`.

  Returns:
    The current value of the attribute.

### getEventTypes

    public final Class<?>[] getEventTypes()

  Getter for the attribute `eventTypes`.

  Returns:
    The current value of the attribute.

### getInputPortName

    public final String getInputPortName()

  Getter for the attribute `inputPortName`.

  Returns:
    The current value of the attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net